[arch-commits] Commit in lucene/repos (extra-any extra-any/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Oct 3 10:36:54 EDT 2009


    Date: Saturday, October 3, 2009 @ 10:36:54
  Author: andyrtr
Revision: 53838

Merged revisions 53836 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/lucene/trunk

........
  r53836 | andyrtr | 2009-10-03 14:36:07 +0000 (Sa, 03 Okt 2009) | 2 lines
  
  upgpkg: lucene 2.9.0-1
      new version 2.9.0; install now all *.jar files, use symlinks
........

Modified:
  lucene/repos/extra-any/	(properties)
  lucene/repos/extra-any/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)


Property changes on: lucene/repos/extra-any
___________________________________________________________________
Modified: svnmerge-integrated
   - /lucene/trunk:1-51164
   + /lucene/trunk:1-53837

Modified: extra-any/PKGBUILD
===================================================================
--- extra-any/PKGBUILD	2009-10-03 14:36:18 UTC (rev 53837)
+++ extra-any/PKGBUILD	2009-10-03 14:36:54 UTC (rev 53838)
@@ -3,7 +3,7 @@
 # Contributor: Andy Roberts (arooaroo) <dev at andy-roberts.net>
 
 pkgname=lucene
-pkgver=2.4.1
+pkgver=2.9.0
 pkgrel=1
 arch=('any')
 pkgdesc="A high-performance, full-featured text search engine library written entirely in Java"
@@ -11,13 +11,24 @@
 license="APACHE"
 depends=('java-runtime')
 source=(http://www.mirrorservice.org/sites/ftp.apache.org/lucene/java/lucene-${pkgver}.tar.gz)
-md5sums=('c896947f75e4dec8823a8908cac78a35')
+md5sums=('179f45467c01ca60b632e72bfc39b976')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
   install -m755 -d ${pkgdir}/usr/share/java/
-  install -m644 ${pkgname}-core-${pkgver}.jar ${pkgdir}/usr/share/java/${pkgname}-core.jar || return 1
-  install -m644 ${pkgname}-demos-${pkgver}.jar ${pkgdir}/usr/share/java/${pkgname}-demos.jar || return 1
-  install -m644 contrib/analyzers/${pkgname}-analyzers-${pkgver}.jar ${pkgdir}/usr/share/java/${pkgname}-analyzers.jar || return 1
+
+  # install all *.jar files
+  for i in `find ${srcdir} -name '*.jar'`; do
+    install $i ${pkgdir}/usr/share/java/ || return 1
+  done
+
+  # create symlinks
+  cd ${pkgdir}/usr/share/java/
+  for i in `ls -1 *${pkgver}*.jar`; do
+    j=${i//-${pkgver}/}
+    ln -sv $i $j
+  done
+  
+  # and one with different version numbering
+  ln -sv servlet-api-2.4.jar servlet-api.jar
 }
-



More information about the arch-commits mailing list